Public Member Functions | Package Functions

# BinNavi.API.disassembly.AddressSpaceListenerAdapter Class Reference

Adapter class for address spaces. More...

Inheritance diagram for BinNavi.API.disassembly.AddressSpaceListenerAdapter:

List of all members.

## Public Member Functions
void | changedDebugger (AddressSpace addressSpace, Debugger debugger)
| Signals a new address space debugger.
void | changedDescription (AddressSpace addressSpace, String description)
| Signals a new address space description.
void | changedImageBase (AddressSpace addressSpace, Module module, Address address)
| Signals a new image base for a module in the address space.
void | changedModificationDate (AddressSpace addressSpace, Date modificationDate)
| Signals a new modification date.
void | changedName (AddressSpace addressSpace, String name)
| Signals a new address space name.
void | closedAddressSpace (AddressSpace addressSpace)
| Signals that the address space was closed.
boolean | closingAddressSpace (AddressSpace addressSpace)
| Signals that the address space is about to be closed.
void | loadedAddressSpace (AddressSpace addressSpace)
| Signals that the address space was loaded.
void | removedModule (AddressSpace addressSpace, Module module)
| Signals that a module was removed from the address space.
## Package Functions
void | addedModule (AddressSpace addressSpace, Module module)
| Signals a new module in the address space.

## Detailed Description

Adapter class that can be used by objects that want to listen on address spaces but only need to process few events.

## Member Function Documentation

void BinNavi.API.disassembly.IAddressSpaceListener.addedModule | ( | AddressSpace | addressSpace,
|  | Module | module |
| ) |  |  | `[package, inherited]`

Invoked after a module was added to the address space.

Parameters:

  | addressSpace | The address space where the module was added.
  | module | The module that was added to the address space.

void BinNavi.API.disassembly.IAddressSpaceListener.changedDebugger | ( | AddressSpace | addressSpace,
|  | Debugger | debugger |
| ) |  |  | `[inherited]`

Invoked after the debugger of the address space changed.

Parameters:

  | addressSpace | The address space whose debugger changed.
  | debugger | The new debugger of the address space. This argument is null if no debugger is set.

void BinNavi.API.disassembly.IAddressSpaceListener.changedDescription | ( | AddressSpace | addressSpace,
|  | String | description |
| ) |  |  | `[inherited]`

Invoked after the description of the address space changed.

Parameters:

  | addressSpace | The address space whose description changed.
  | description | The new description of the address space.

void BinNavi.API.disassembly.IAddressSpaceListener.changedImageBase | ( | AddressSpace | addressSpace,
|  | Module | module,
|  | Address | address |
| ) |  |  | `[inherited]`

Invoked after the image base of module inside the address space changed.

Parameters:

  | addressSpace | The address space where the change happened.
  | module | The module whose image base was changed.
  | address | The new image base value of the module inside the address space.

void BinNavi.API.disassembly.IAddressSpaceListener.changedModificationDate | ( | AddressSpace | addressSpace,
|  | Date | modificationDate |
| ) |  |  | `[inherited]`

Invoked after the modification date of an address space changed.

Parameters:

  | addressSpace | The address space whose modification date changed.
  | modificationDate | The new modification date of the address space.

void BinNavi.API.disassembly.IAddressSpaceListener.changedName | ( | AddressSpace | addressSpace,
|  | String | name |
| ) |  |  | `[inherited]`

Invoked after the name of the address space changed.

Parameters:

  | addressSpace | The address space whose name changed.
  | name | The new name of the address space.

void BinNavi.API.disassembly.IAddressSpaceListener.closedAddressSpace | ( | AddressSpace | addressSpace | ) | `[inherited]`

Invoked right after an address space was closed.

Parameters:

  | addressSpace | The address space that was closed.

boolean BinNavi.API.disassembly.IAddressSpaceListener.closingAddressSpace | ( | AddressSpace | addressSpace | ) | `[inherited]`

Invoked right before a address space is closed. The listening object has the opportunity to veto the close process if it still needs to work with the address space.

Parameters:

  | addressSpace | The address space that is about to be closed.

Returns:
  True, to indicate that the address space can be closed. False, to veto the close process.

void BinNavi.API.disassembly.IAddressSpaceListener.loadedAddressSpace | ( | AddressSpace | addressSpace | ) | `[inherited]`

Invoked after the address space was loaded.

Parameters:

  | addressSpace | The address space which was loaded.

void BinNavi.API.disassembly.IAddressSpaceListener.removedModule | ( | AddressSpace | addressSpace,
|  | Module | module |
| ) |  |  | `[inherited]`

Invoked after a module was removed from the address space.

After this function was invoked, further usage of the removed module in the context of the address space (for example by setting the image base of the module in the address space) lead to undefined behavior.

It is however perfectly fine to keep using the module object in the general database context because the module still exists in the database. It was simply removed from the address space, not completely deleted.

Parameters:

  | addressSpace | The address space where the module was removed.
  | module | The module that was removed from the address space.